Bug 204052 - vncserver PCF handling Integer overflow
vncserver PCF handling Integer overflow
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: vnc (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-25 06:12 EDT by Mark J. Cox (Product Security)
Modified: 2013-04-30 19:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 05:58:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2006-08-25 06:12:23 EDT
For FC6 test 2

+++ This bug was initially created as a clone of Bug #202469 +++

An integer overflow was discovered in the way freetype processes malformed PCF
files.  It seems that Xorg also contains the same PCF processing code as
freetype, there it too is vulnerable this issue.

We initally described this issue for freetype in bug 190593.

The upstream bug is here:
https://bugs.freedesktop.org/show_bug.cgi?id=7535

-- Additional comment from bressers@redhat.com on 2006-08-14 14:09 EST --
The upstream patch is attachment 134155 [details]


-- Additional comment from bressers@redhat.com on 2006-08-15 20:42 EST --
Created an attachment (id=134276)
Demo font file


This issue also affects the vncserver shipped with RHEL2.1 and RHEL3

-- Additional comment from mgrac@redhat.com on 2006-08-23 08:13 EST --
Affected code is not in the VNC package

-- Additional comment from bressers@redhat.com on 2006-08-23 08:35 EST --
I can make the vnc server crash by using the demo font file.

Differnt issue perhaps?

-- Additional comment from mgrac@redhat.com on 2006-08-24 10:06 EST --
My fault, there were two files with same name and I have checked just one of
them.   After applying proposed patch the vncserver works correctly (xfontsel
crashes).
Comment 1 Josh Bressers 2006-08-25 14:48:24 EDT
I've done some thinking about this and I'm removing the Security keyword.  There
is no way this can be considered a security issue, it's simply a bug.

The only way this is exploitable is if a bad font can be included in the
vncserver font path.  That means that an attacker already has access to the
account in question.
Comment 2 Adam Tkac 2006-10-25 05:58:28 EDT
vncserver up to FC-5 uses different xorg-server which isn't affected by this bug

Note You need to log in before you can comment on or make changes to this bug.